
PENGADIAN EMAS - Bug #15913

BE [EMAS][BUY][RETRY CR] Should Not show coba lagi button

08 March 2023 05:44 PM - yap chekying

Status: Closed Start date: 08 March 2023

Priority: Urgent Due date:  

Assignee: yap chekying % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Actual Result:

First time submit hit 68, reff switching get 13.

App show failed acknowledgement screen with coba lagi button.

Did not call to ESB for reversal.

Expected Result:

First time submit hit 68, reff switching get 13.

App should show failed acknowledgement screen without coba lagi button.

Should call to ESB for immediate reversal.

Please fix for buy and registration

History

#1 - 09 March 2023 08:34 AM - santhosh Krishna

- Assignee changed from santhosh Krishna to yap chekying

Date/Time occurred : Mar 8, 2023 @ 14:14:04.752 JKT

RequestId : 4b3a1c74-1f1f-4f5b-953d-78fa85755332

ReffSwitching Response : {

"responseMsgDetail": {

"pegadaianRes": {

"statusPegawai": false,

"gram": "0.0105",

"jenisTransaksi": "BB",

"reffCore": "1587638386348123001",

"reffSwitching": "15876383539111671",

"norek": "1230020620000644",

"reffBiller": "IDTRXPDS",

"amount": "50000.00",

"requestType": "PAYMENT",

"statusCode": "13",

"statusDesc": "Invalid Amount",

"tglRequest": "2020-04-23 17:39:46",

"tglResponse": "2020-04-23 17:39:49"

},

"responseCode": "00",

"responseDetail": {

"responseCode": "00",

"responseData": "Approved",

"errorOrigin": "PEGADAIAN"

}

}

}

BE RESPONSE TO FE : {

"responseCode": "99",

    "responseMessage": "error",

    "responseData": {

        "title": "Registrasi dan Pembelian Emas Anda Gagal",

        "trxDate": "8 Mar 2023, 14:14:01",

        "refNo": "I0001342409",

        "accountNo": "8769900537",
        "accountName": "U Transaction Account iB",

        "product": "Emas",

        "agent": "Pegadaian",

        "goldPrice": "920000.0",

        "totalGold": "0,0544",

        "totalGoldPrice": "50000",

        "fee": "5000",

        "totalAmount": "55000.0",

        "pawnshopOutlet": "Outlet",

        "status": "FALSE",

        "retry": false

    }

}

 

As above state BE returning retry "False", coba lagi button should be hidden by FE

#2 - 09 March 2023 01:41 PM - yap chekying

- Assignee changed from yap chekying to Imran Abdulhadi

Retested failed. Information share to Santhosh via whatsapp

#3 - 09 March 2023 02:55 PM - Imran Abdulhadi

- Status changed from New to Resolved

- Assignee changed from Imran Abdulhadi to yap chekying

- % Done changed from 0 to 100

fixed by santosh. please try again later.

#4 - 09 March 2023 03:36 PM - yap chekying

- Subject changed from BE [EMAS][BUY/REGISTRATION][RETRY CR] Should Not show coba lagi button to BE [EMAS][BUY][RETRY CR] Should

Not show coba lagi button

#5 - 20 March 2023 04:13 PM - yap chekying

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

20 April 2025 2/2

http://www.tcpdf.org

